license_plate_api_ecuador
====================

Un paquete Dart para buscar detalles tecnicos sobre vehiculos matriculados en Ecuador por su placa de matricula

`license_plate_api_ecuador` proporciona una manera simple de encontrar detalles del vehiculo desde una placa (numero de registro)
de un auto matriculado en ecuador

Esto requiere un nombre de usuario y contrasena, que esta disponible de forma gratuita en http://ec.placaapi.com/

## English

A Dart package for looking up technical details on vehicles registered in ecuador by their license plate

`license_plate_api_ecuador` provides a simple way to find vehicle details from a license plate (registration number)
of a car registered in ecuador

This requires a username and password, which is available for free from http://ec.placaapi.com/

  
## Usage

A simple usage example:

```dart
import 'package:license_plate_api_ecuador/license_plate_api_ecuador.dart' as RegCheck;

void main(List<String> arguments) async {
  // Usage:
  // dart bin/main.dart *REGISTRATION* *USERNAME* *PASSWORD*
  // *USERNAME* and *PASSWORD* are available from http://ec.placaapi.com/
  var vehicle = await RegCheck.LicensePlate(arguments[0],arguments[1],arguments[2]);
  print('Description: ${vehicle['Description']}');
 
}
```

which produces the following:

```shell script
Description: OPEL MOKKA SE

```

## Features and bugs

Please file feature requests and bugs via the website http://ec.placaapi.com/
